POST /replicate/v1/models/{models}/predictions
Method: POSTEndpoint: /replicate/v1/models/{models}/predictions
https://replicate.com/black-forest-labs/flux-dev
Request Parameters
Path Parameters
text
models
string
RequiredHeader Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
input
object
Required
prompt
string
Required
go_fast
boolean
Optional
megapixels
string
Optional
num_outputs
integer
Optional
aspect_ratio
string
Defaults to 1:1.
Optional
output_format
string
Optional
output_quality
integer
Optional
num_inference_steps
integer
Optional
Example
{
"input"
:
{
"prompt"
:
"black forest gateau cake spelling out the words \"FLUX DEV\", tasty, food photography, dynamic shot"
,
"go_fast"
:
true
,
"guidance"
:
3.5
,
"megapixels"
:
"1"
,
"num_outputs"
:
1
,
"aspect_ratio"
:
"1:1"
,
"output_format"
:
"webp"
,
"output_quality"
:
80
,
"prompt_strength"
:
0.8
,
"num_inference_steps"
:
28
}
}Example Request
Shell
bash
curl --location --request POST '/replicate/v1/models//predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"input": {
"prompt": "black forest gateau cake spelling out the words \"FLUX DEV\", tasty, food photography, dynamic shot",
"go_fast": true,
"guidance": 3.5,
"megapixels": "1",
"num_outputs": 1,
"aspect_ratio": "1:1",
"output_format": "webp",
"output_quality": 80,
"prompt_strength": 0.8,
"num_inference_steps": 28
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}